package com.brilliance.isc.model.cur;

import com.brilliance.isc.model.BaseEntity;

import java.util.Date;
import java.io.Serializable;

/**
 * (Cur)实体类
 *
 * @author makejava
 * @since 2022-11-15 16:32:29
 */
public class Cur extends BaseEntity {

    private String inr;

    private String cod;

    private String newcur;

    private String altcod;

    private Object dec;

    private Object seq;

    private String acc1;

    private String acc2;

    private Object bsrmar;

    private Object sqrmar;

    private Object glbrat;

    private Object dif;

    private Object bas;

    private Object rndunt;

    private Date begdat;

    private Date enddat;

    private Object odrintday;

    private Object dbtday;

    private Object cdtday;

    private String maxcur;

    private Object maxamt;

    private String ver;

    private String etgextkey;


    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getCod() {
        return cod;
    }

    public void setCod(String cod) {
        this.cod = cod;
    }

    public String getNewcur() {
        return newcur;
    }

    public void setNewcur(String newcur) {
        this.newcur = newcur;
    }

    public String getAltcod() {
        return altcod;
    }

    public void setAltcod(String altcod) {
        this.altcod = altcod;
    }

    public Object getDec() {
        return dec;
    }

    public void setDec(Object dec) {
        this.dec = dec;
    }

    public Object getSeq() {
        return seq;
    }

    public void setSeq(Object seq) {
        this.seq = seq;
    }

    public String getAcc1() {
        return acc1;
    }

    public void setAcc1(String acc1) {
        this.acc1 = acc1;
    }

    public String getAcc2() {
        return acc2;
    }

    public void setAcc2(String acc2) {
        this.acc2 = acc2;
    }

    public Object getBsrmar() {
        return bsrmar;
    }

    public void setBsrmar(Object bsrmar) {
        this.bsrmar = bsrmar;
    }

    public Object getSqrmar() {
        return sqrmar;
    }

    public void setSqrmar(Object sqrmar) {
        this.sqrmar = sqrmar;
    }

    public Object getGlbrat() {
        return glbrat;
    }

    public void setGlbrat(Object glbrat) {
        this.glbrat = glbrat;
    }

    public Object getDif() {
        return dif;
    }

    public void setDif(Object dif) {
        this.dif = dif;
    }

    public Object getBas() {
        return bas;
    }

    public void setBas(Object bas) {
        this.bas = bas;
    }

    public Object getRndunt() {
        return rndunt;
    }

    public void setRndunt(Object rndunt) {
        this.rndunt = rndunt;
    }

    public Date getBegdat() {
        return begdat;
    }

    public void setBegdat(Date begdat) {
        this.begdat = begdat;
    }

    public Date getEnddat() {
        return enddat;
    }

    public void setEnddat(Date enddat) {
        this.enddat = enddat;
    }

    public Object getOdrintday() {
        return odrintday;
    }

    public void setOdrintday(Object odrintday) {
        this.odrintday = odrintday;
    }

    public Object getDbtday() {
        return dbtday;
    }

    public void setDbtday(Object dbtday) {
        this.dbtday = dbtday;
    }

    public Object getCdtday() {
        return cdtday;
    }

    public void setCdtday(Object cdtday) {
        this.cdtday = cdtday;
    }

    public String getMaxcur() {
        return maxcur;
    }

    public void setMaxcur(String maxcur) {
        this.maxcur = maxcur;
    }

    public Object getMaxamt() {
        return maxamt;
    }

    public void setMaxamt(Object maxamt) {
        this.maxamt = maxamt;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getEtgextkey() {
        return etgextkey;
    }

    public void setEtgextkey(String etgextkey) {
        this.etgextkey = etgextkey;
    }


}

